<form [formGroup]="testForm" (ngSubmit)="onSubmit()">

    <div class="row">
        <div class="col-md-4" ></div>
         <div class="col-md-4" style="padding-top: 13rem">
             <div class="form-group">
                 <input type="text"
                 formControlName="string"
                  name="string"
                  class="form-control"
                   placeholder="Enter string"
                   value=""
                   />
                  <br>
                   <button (click)="set()">Reset</button>

                  <div
                  *ngIf="!testForm.get('string').valid" class="help-block">
                   <br><br><br> <span>Enter a valid string</span></div>
                   
                      </div>
                    </div>
                    <div class="col-md-4" ></div>
                  </div>
                </form>
